summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAngelo Theodorou2015-07-07 22:13:02 +0100
committerAngelo Theodorou2015-07-07 22:13:02 +0100
commit6719032b63e10e920c0c3ada40b8696a88bff62e (patch)
treec05ea4c98809a97c29e3c263ad799717e389a78c /PKGBUILD
downloadaur-6719032b63e10e920c0c3ada40b8696a88bff62e.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7bed203a9c6
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Contributor: Angelo Theodorou <encelo@users.sourceforge.net>
+
+pkgname=dunelegacy
+pkgver=0.96.3
+pkgrel=2
+pkgdesc="Updated clone of Westood Studios' Dune2"
+arch=('i686' 'x86_64')
+url="http://dunelegacy.sourceforge.net"
+license=('GPL')
+depends=('sdl_mixer' 'desktop-file-utils')
+changelog=dunelegacy.changelog
+install=dunelegacy.install
+source=(http://downloads.sourceforge.net/sourceforge/dunelegacy/$pkgname-$pkgver-src.tar.bz2)
+md5sums=('1ca64c06646aeb537d47f601a49463e9')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make prefix=$pkgdir/usr install
+
+ # install icon and desktop files
+ install -Dm644 "$pkgname.png" "$pkgdir/usr/share/pixmaps/$pkgname.png"
+ install -Dm644 "$pkgname.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop"
+}